package com.nisum

import groovy.xml.slurpersupport.GPathResult

class XMLParsingScript {
    public static void executeParsing(File[] files){


        WebXMLParser webXMLParser = new WebXMLParser(files[0])

        //eventually the logic for finding these values should be encapsulated by
        //finder methods in that xml parser class
        String[] servPath = ["servlet","servlet-name"]
        def servletNameNode = webXMLParser.getNodeByPath(servPath)
        println(servletNameNode.toString())

        //POM XML PARSER

        PomXMLParser pomXMLParser = new PomXMLParser(files[1])

        String[] displayNamePath = ["display-name"]
        def displayNameNode = pomXMLParser.getNodeByPath(displayNamePath)
        println(displayNameNode.toString());

        println(displayNameNode.name())

        def groupId = pomXMLParser.findNodeByTagName("groupId")
        println(groupId.toString())

        def dependencies = pomXMLParser.findAllNodesByTagName("dependency")
        println(dependencies)

        def rootPom = pomXMLParser.getRootNode()
        println(rootPom)

        //after all the parsing is taken care of we'll report on which are successful
        //and pass on any values needed from the parser to the cli / other scripts
    }

    public static void executeParsing(String[] fileLocations){
        File[] files = new File[fileLocations.length]

        int i = 0
        for (String fileLocation : fileLocations) {
            File conv = new File(fileLocation)
            files[i] = conv
            i++
        }

        executeParsing(files)
    }
}


